| 0.9.9 API documenation

Functions
GLM_GTX_type_aligned
Experimental extensions

## Functions
| GLM_ALIGNED_TYPEDEF (lowp_int8, aligned_lowp_int8, 1)
| GLM_ALIGNED_TYPEDEF (lowp_int16, aligned_lowp_int16, 2)
| GLM_ALIGNED_TYPEDEF (lowp_int32, aligned_lowp_int32, 4)
| GLM_ALIGNED_TYPEDEF (lowp_int64, aligned_lowp_int64, 8)
| GLM_ALIGNED_TYPEDEF (lowp_int8_t, aligned_lowp_int8_t, 1)
| GLM_ALIGNED_TYPEDEF (lowp_int16_t, aligned_lowp_int16_t, 2)
| GLM_ALIGNED_TYPEDEF (lowp_int32_t, aligned_lowp_int32_t, 4)
| GLM_ALIGNED_TYPEDEF (lowp_int64_t, aligned_lowp_int64_t, 8)
| GLM_ALIGNED_TYPEDEF (lowp_i8, aligned_lowp_i8, 1)
| GLM_ALIGNED_TYPEDEF (lowp_i16, aligned_lowp_i16, 2)
| GLM_ALIGNED_TYPEDEF (lowp_i32, aligned_lowp_i32, 4)
| GLM_ALIGNED_TYPEDEF (lowp_i64, aligned_lowp_i64, 8)
| GLM_ALIGNED_TYPEDEF (mediump_int8, aligned_mediump_int8, 1)
| GLM_ALIGNED_TYPEDEF (mediump_int16, aligned_mediump_int16, 2)
| GLM_ALIGNED_TYPEDEF (mediump_int32, aligned_mediump_int32, 4)
| GLM_ALIGNED_TYPEDEF (mediump_int64, aligned_mediump_int64, 8)
| GLM_ALIGNED_TYPEDEF (mediump_int8_t, aligned_mediump_int8_t, 1)
| GLM_ALIGNED_TYPEDEF (mediump_int16_t, aligned_mediump_int16_t, 2)
| GLM_ALIGNED_TYPEDEF (mediump_int32_t, aligned_mediump_int32_t, 4)
| GLM_ALIGNED_TYPEDEF (mediump_int64_t, aligned_mediump_int64_t, 8)
| GLM_ALIGNED_TYPEDEF (mediump_i8, aligned_mediump_i8, 1)
| GLM_ALIGNED_TYPEDEF (mediump_i16, aligned_mediump_i16, 2)
| GLM_ALIGNED_TYPEDEF (mediump_i32, aligned_mediump_i32, 4)
| GLM_ALIGNED_TYPEDEF (mediump_i64, aligned_mediump_i64, 8)
| GLM_ALIGNED_TYPEDEF (highp_int8, aligned_highp_int8, 1)
| GLM_ALIGNED_TYPEDEF (highp_int16, aligned_highp_int16, 2)
| GLM_ALIGNED_TYPEDEF (highp_int32, aligned_highp_int32, 4)
| GLM_ALIGNED_TYPEDEF (highp_int64, aligned_highp_int64, 8)
| GLM_ALIGNED_TYPEDEF (highp_int8_t, aligned_highp_int8_t, 1)
| GLM_ALIGNED_TYPEDEF (highp_int16_t, aligned_highp_int16_t, 2)
| GLM_ALIGNED_TYPEDEF (highp_int32_t, aligned_highp_int32_t, 4)
| GLM_ALIGNED_TYPEDEF (highp_int64_t, aligned_highp_int64_t, 8)
| GLM_ALIGNED_TYPEDEF (highp_i8, aligned_highp_i8, 1)
| GLM_ALIGNED_TYPEDEF (highp_i16, aligned_highp_i16, 2)
| GLM_ALIGNED_TYPEDEF (highp_i32, aligned_highp_i32, 4)
| GLM_ALIGNED_TYPEDEF (highp_i64, aligned_highp_i64, 8)
| GLM_ALIGNED_TYPEDEF (int8, aligned_int8, 1)
| GLM_ALIGNED_TYPEDEF (int16, aligned_int16, 2)
| GLM_ALIGNED_TYPEDEF (int32, aligned_int32, 4)
| GLM_ALIGNED_TYPEDEF (int64, aligned_int64, 8)
| GLM_ALIGNED_TYPEDEF (int8_t, aligned_int8_t, 1)
| GLM_ALIGNED_TYPEDEF (int16_t, aligned_int16_t, 2)
| GLM_ALIGNED_TYPEDEF (int32_t, aligned_int32_t, 4)
| GLM_ALIGNED_TYPEDEF (int64_t, aligned_int64_t, 8)
| GLM_ALIGNED_TYPEDEF (i8, aligned_i8, 1)
| GLM_ALIGNED_TYPEDEF (i16, aligned_i16, 2)
| GLM_ALIGNED_TYPEDEF (i32, aligned_i32, 4)
| GLM_ALIGNED_TYPEDEF (i64, aligned_i64, 8)
| GLM_ALIGNED_TYPEDEF (ivec1, aligned_ivec1, 4)
| GLM_ALIGNED_TYPEDEF (ivec2, aligned_ivec2, 8)
| GLM_ALIGNED_TYPEDEF (ivec3, aligned_ivec3, 16)
| GLM_ALIGNED_TYPEDEF (ivec4, aligned_ivec4, 16)
| GLM_ALIGNED_TYPEDEF (i8vec1, aligned_i8vec1, 1)
| GLM_ALIGNED_TYPEDEF (i8vec2, aligned_i8vec2, 2)
| GLM_ALIGNED_TYPEDEF (i8vec3, aligned_i8vec3, 4)
| GLM_ALIGNED_TYPEDEF (i8vec4, aligned_i8vec4, 4)
| GLM_ALIGNED_TYPEDEF (i16vec1, aligned_i16vec1, 2)
| GLM_ALIGNED_TYPEDEF (i16vec2, aligned_i16vec2, 4)
| GLM_ALIGNED_TYPEDEF (i16vec3, aligned_i16vec3, 8)
| GLM_ALIGNED_TYPEDEF (i16vec4, aligned_i16vec4, 8)
| GLM_ALIGNED_TYPEDEF (i32vec1, aligned_i32vec1, 4)
| GLM_ALIGNED_TYPEDEF (i32vec2, aligned_i32vec2, 8)
| GLM_ALIGNED_TYPEDEF (i32vec3, aligned_i32vec3, 16)
| GLM_ALIGNED_TYPEDEF (i32vec4, aligned_i32vec4, 16)
| GLM_ALIGNED_TYPEDEF (i64vec1, aligned_i64vec1, 8)
| GLM_ALIGNED_TYPEDEF (i64vec2, aligned_i64vec2, 16)
| GLM_ALIGNED_TYPEDEF (i64vec3, aligned_i64vec3, 32)
| GLM_ALIGNED_TYPEDEF (i64vec4, aligned_i64vec4, 32)
| GLM_ALIGNED_TYPEDEF (lowp_uint8, aligned_lowp_uint8, 1)
| GLM_ALIGNED_TYPEDEF (lowp_uint16, aligned_lowp_uint16, 2)
| GLM_ALIGNED_TYPEDEF (lowp_uint32, aligned_lowp_uint32, 4)
| GLM_ALIGNED_TYPEDEF (lowp_uint64, aligned_lowp_uint64, 8)
| GLM_ALIGNED_TYPEDEF (lowp_uint8_t, aligned_lowp_uint8_t, 1)
| GLM_ALIGNED_TYPEDEF (lowp_uint16_t, aligned_lowp_uint16_t, 2)
| GLM_ALIGNED_TYPEDEF (lowp_uint32_t, aligned_lowp_uint32_t, 4)
| GLM_ALIGNED_TYPEDEF (lowp_uint64_t, aligned_lowp_uint64_t, 8)
| GLM_ALIGNED_TYPEDEF (lowp_u8, aligned_lowp_u8, 1)
| GLM_ALIGNED_TYPEDEF (lowp_u16, aligned_lowp_u16, 2)
| GLM_ALIGNED_TYPEDEF (lowp_u32, aligned_lowp_u32, 4)
| GLM_ALIGNED_TYPEDEF (lowp_u64, aligned_lowp_u64, 8)
| GLM_ALIGNED_TYPEDEF (mediump_uint8, aligned_mediump_uint8, 1)
| GLM_ALIGNED_TYPEDEF (mediump_uint16, aligned_mediump_uint16, 2)
| GLM_ALIGNED_TYPEDEF (mediump_uint32, aligned_mediump_uint32, 4)
| GLM_ALIGNED_TYPEDEF (mediump_uint64, aligned_mediump_uint64, 8)
| GLM_ALIGNED_TYPEDEF (mediump_uint8_t, aligned_mediump_uint8_t, 1)
| GLM_ALIGNED_TYPEDEF (mediump_uint16_t, aligned_mediump_uint16_t, 2)
| GLM_ALIGNED_TYPEDEF (mediump_uint32_t, aligned_mediump_uint32_t, 4)
| GLM_ALIGNED_TYPEDEF (mediump_uint64_t, aligned_mediump_uint64_t, 8)
| GLM_ALIGNED_TYPEDEF (mediump_u8, aligned_mediump_u8, 1)
| GLM_ALIGNED_TYPEDEF (mediump_u16, aligned_mediump_u16, 2)
| GLM_ALIGNED_TYPEDEF (mediump_u32, aligned_mediump_u32, 4)
| GLM_ALIGNED_TYPEDEF (mediump_u64, aligned_mediump_u64, 8)
| GLM_ALIGNED_TYPEDEF (highp_uint8, aligned_highp_uint8, 1)
| GLM_ALIGNED_TYPEDEF (highp_uint16, aligned_highp_uint16, 2)
| GLM_ALIGNED_TYPEDEF (highp_uint32, aligned_highp_uint32, 4)
| GLM_ALIGNED_TYPEDEF (highp_uint64, aligned_highp_uint64, 8)
| GLM_ALIGNED_TYPEDEF (highp_uint8_t, aligned_highp_uint8_t, 1)
| GLM_ALIGNED_TYPEDEF (highp_uint16_t, aligned_highp_uint16_t, 2)
| GLM_ALIGNED_TYPEDEF (highp_uint32_t, aligned_highp_uint32_t, 4)
| GLM_ALIGNED_TYPEDEF (highp_uint64_t, aligned_highp_uint64_t, 8)
| GLM_ALIGNED_TYPEDEF (highp_u8, aligned_highp_u8, 1)
| GLM_ALIGNED_TYPEDEF (highp_u16, aligned_highp_u16, 2)
| GLM_ALIGNED_TYPEDEF (highp_u32, aligned_highp_u32, 4)
| GLM_ALIGNED_TYPEDEF (highp_u64, aligned_highp_u64, 8)
| GLM_ALIGNED_TYPEDEF (uint8, aligned_uint8, 1)
| GLM_ALIGNED_TYPEDEF (uint16, aligned_uint16, 2)
| GLM_ALIGNED_TYPEDEF (uint32, aligned_uint32, 4)
| GLM_ALIGNED_TYPEDEF (uint64, aligned_uint64, 8)
| GLM_ALIGNED_TYPEDEF (uint8_t, aligned_uint8_t, 1)
| GLM_ALIGNED_TYPEDEF (uint16_t, aligned_uint16_t, 2)
| GLM_ALIGNED_TYPEDEF (uint32_t, aligned_uint32_t, 4)
| GLM_ALIGNED_TYPEDEF (uint64_t, aligned_uint64_t, 8)
| GLM_ALIGNED_TYPEDEF (u8, aligned_u8, 1)
| GLM_ALIGNED_TYPEDEF (u16, aligned_u16, 2)
| GLM_ALIGNED_TYPEDEF (u32, aligned_u32, 4)
| GLM_ALIGNED_TYPEDEF (u64, aligned_u64, 8)
| GLM_ALIGNED_TYPEDEF (uvec1, aligned_uvec1, 4)
| GLM_ALIGNED_TYPEDEF (uvec2, aligned_uvec2, 8)
| GLM_ALIGNED_TYPEDEF (uvec3, aligned_uvec3, 16)
| GLM_ALIGNED_TYPEDEF (uvec4, aligned_uvec4, 16)
| GLM_ALIGNED_TYPEDEF (u8vec1, aligned_u8vec1, 1)
| GLM_ALIGNED_TYPEDEF (u8vec2, aligned_u8vec2, 2)
| GLM_ALIGNED_TYPEDEF (u8vec3, aligned_u8vec3, 4)
| GLM_ALIGNED_TYPEDEF (u8vec4, aligned_u8vec4, 4)
| GLM_ALIGNED_TYPEDEF (u16vec1, aligned_u16vec1, 2)
| GLM_ALIGNED_TYPEDEF (u16vec2, aligned_u16vec2, 4)
| GLM_ALIGNED_TYPEDEF (u16vec3, aligned_u16vec3, 8)
| GLM_ALIGNED_TYPEDEF (u16vec4, aligned_u16vec4, 8)
| GLM_ALIGNED_TYPEDEF (u32vec1, aligned_u32vec1, 4)
| GLM_ALIGNED_TYPEDEF (u32vec2, aligned_u32vec2, 8)
| GLM_ALIGNED_TYPEDEF (u32vec3, aligned_u32vec3, 16)
| GLM_ALIGNED_TYPEDEF (u32vec4, aligned_u32vec4, 16)
| GLM_ALIGNED_TYPEDEF (u64vec1, aligned_u64vec1, 8)
| GLM_ALIGNED_TYPEDEF (u64vec2, aligned_u64vec2, 16)
| GLM_ALIGNED_TYPEDEF (u64vec3, aligned_u64vec3, 32)
| GLM_ALIGNED_TYPEDEF (u64vec4, aligned_u64vec4, 32)
| GLM_ALIGNED_TYPEDEF (float32, aligned_float32, 4)
| GLM_ALIGNED_TYPEDEF (float32_t, aligned_float32_t, 4)
| GLM_ALIGNED_TYPEDEF (float32, aligned_f32, 4)
| GLM_ALIGNED_TYPEDEF (float64, aligned_float64, 8)
| GLM_ALIGNED_TYPEDEF (float64_t, aligned_float64_t, 8)
| GLM_ALIGNED_TYPEDEF (float64, aligned_f64, 8)
| GLM_ALIGNED_TYPEDEF (vec1, aligned_vec1, 4)
| GLM_ALIGNED_TYPEDEF (vec2, aligned_vec2, 8)
| GLM_ALIGNED_TYPEDEF (vec3, aligned_vec3, 16)
| GLM_ALIGNED_TYPEDEF (vec4, aligned_vec4, 16)
| GLM_ALIGNED_TYPEDEF (fvec1, aligned_fvec1, 4)
| GLM_ALIGNED_TYPEDEF (fvec2, aligned_fvec2, 8)
| GLM_ALIGNED_TYPEDEF (fvec3, aligned_fvec3, 16)
| GLM_ALIGNED_TYPEDEF (fvec4, aligned_fvec4, 16)
| GLM_ALIGNED_TYPEDEF (f32vec1, aligned_f32vec1, 4)
| GLM_ALIGNED_TYPEDEF (f32vec2, aligned_f32vec2, 8)
| GLM_ALIGNED_TYPEDEF (f32vec3, aligned_f32vec3, 16)
| GLM_ALIGNED_TYPEDEF (f32vec4, aligned_f32vec4, 16)
| GLM_ALIGNED_TYPEDEF (dvec1, aligned_dvec1, 8)
| GLM_ALIGNED_TYPEDEF (dvec2, aligned_dvec2, 16)
| GLM_ALIGNED_TYPEDEF (dvec3, aligned_dvec3, 32)
| GLM_ALIGNED_TYPEDEF (dvec4, aligned_dvec4, 32)
| GLM_ALIGNED_TYPEDEF (f64vec1, aligned_f64vec1, 8)
| GLM_ALIGNED_TYPEDEF (f64vec2, aligned_f64vec2, 16)
| GLM_ALIGNED_TYPEDEF (f64vec3, aligned_f64vec3, 32)
| GLM_ALIGNED_TYPEDEF (f64vec4, aligned_f64vec4, 32)
| GLM_ALIGNED_TYPEDEF (mat2, aligned_mat2, 16)
| GLM_ALIGNED_TYPEDEF (mat3, aligned_mat3, 16)
| GLM_ALIGNED_TYPEDEF (mat4, aligned_mat4, 16)
| GLM_ALIGNED_TYPEDEF (fmat2x2, aligned_fmat2, 16)
| GLM_ALIGNED_TYPEDEF (fmat3x3, aligned_fmat3, 16)
| GLM_ALIGNED_TYPEDEF (fmat4x4, aligned_fmat4, 16)
| GLM_ALIGNED_TYPEDEF (fmat2x2, aligned_fmat2x2, 16)
| GLM_ALIGNED_TYPEDEF (fmat2x3, aligned_fmat2x3, 16)
| GLM_ALIGNED_TYPEDEF (fmat2x4, aligned_fmat2x4, 16)
| GLM_ALIGNED_TYPEDEF (fmat3x2, aligned_fmat3x2, 16)
| GLM_ALIGNED_TYPEDEF (fmat3x3, aligned_fmat3x3, 16)
| GLM_ALIGNED_TYPEDEF (fmat3x4, aligned_fmat3x4, 16)
| GLM_ALIGNED_TYPEDEF (fmat4x2, aligned_fmat4x2, 16)
| GLM_ALIGNED_TYPEDEF (fmat4x3, aligned_fmat4x3, 16)
| GLM_ALIGNED_TYPEDEF (fmat4x4, aligned_fmat4x4, 16)
| GLM_ALIGNED_TYPEDEF (f32mat2x2, aligned_f32mat2, 16)
| GLM_ALIGNED_TYPEDEF (f32mat3x3, aligned_f32mat3, 16)
| GLM_ALIGNED_TYPEDEF (f32mat4x4, aligned_f32mat4, 16)
| GLM_ALIGNED_TYPEDEF (f32mat2x2, aligned_f32mat2x2, 16)
| GLM_ALIGNED_TYPEDEF (f32mat2x3, aligned_f32mat2x3, 16)
| GLM_ALIGNED_TYPEDEF (f32mat2x4, aligned_f32mat2x4, 16)
| GLM_ALIGNED_TYPEDEF (f32mat3x2, aligned_f32mat3x2, 16)
| GLM_ALIGNED_TYPEDEF (f32mat3x3, aligned_f32mat3x3, 16)
| GLM_ALIGNED_TYPEDEF (f32mat3x4, aligned_f32mat3x4, 16)
| GLM_ALIGNED_TYPEDEF (f32mat4x2, aligned_f32mat4x2, 16)
| GLM_ALIGNED_TYPEDEF (f32mat4x3, aligned_f32mat4x3, 16)
| GLM_ALIGNED_TYPEDEF (f32mat4x4, aligned_f32mat4x4, 16)
| GLM_ALIGNED_TYPEDEF (f64mat2x2, aligned_f64mat2, 32)
| GLM_ALIGNED_TYPEDEF (f64mat3x3, aligned_f64mat3, 32)
| GLM_ALIGNED_TYPEDEF (f64mat4x4, aligned_f64mat4, 32)
| GLM_ALIGNED_TYPEDEF (f64mat2x2, aligned_f64mat2x2, 32)
| GLM_ALIGNED_TYPEDEF (f64mat2x3, aligned_f64mat2x3, 32)
| GLM_ALIGNED_TYPEDEF (f64mat2x4, aligned_f64mat2x4, 32)
| GLM_ALIGNED_TYPEDEF (f64mat3x2, aligned_f64mat3x2, 32)
| GLM_ALIGNED_TYPEDEF (f64mat3x3, aligned_f64mat3x3, 32)
| GLM_ALIGNED_TYPEDEF (f64mat3x4, aligned_f64mat3x4, 32)
| GLM_ALIGNED_TYPEDEF (f64mat4x2, aligned_f64mat4x2, 32)
| GLM_ALIGNED_TYPEDEF (f64mat4x3, aligned_f64mat4x3, 32)
| GLM_ALIGNED_TYPEDEF (f64mat4x4, aligned_f64mat4x4, 32)
| GLM_ALIGNED_TYPEDEF (quat, aligned_quat, 16)
| GLM_ALIGNED_TYPEDEF (quat, aligned_fquat, 16)
| GLM_ALIGNED_TYPEDEF (dquat, aligned_dquat, 32)
| GLM_ALIGNED_TYPEDEF (f32quat, aligned_f32quat, 16)
| GLM_ALIGNED_TYPEDEF (f64quat, aligned_f64quat, 32)

## Detailed Description

Include <glm/gtx/type_aligned.hpp> to use the features of this extension.

Defines aligned types.

## Function Documentation

## ◆ GLM_ALIGNED_TYPEDEF() [1/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int8 | ,
|  | aligned_lowp_int8 | ,
|  | 1 |
| ) |  |

Low qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [2/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int16 | ,
|  | aligned_lowp_int16 | ,
|  | 2 |
| ) |  |

Low qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [3/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int32 | ,
|  | aligned_lowp_int32 | ,
|  | 4 |
| ) |  |

Low qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [4/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int64 | ,
|  | aligned_lowp_int64 | ,
|  | 8 |
| ) |  |

Low qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [5/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int8_t | ,
|  | aligned_lowp_int8_t | ,
|  | 1 |
| ) |  |

Low qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [6/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int16_t | ,
|  | aligned_lowp_int16_t | ,
|  | 2 |
| ) |  |

Low qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [7/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int32_t | ,
|  | aligned_lowp_int32_t | ,
|  | 4 |
| ) |  |

Low qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [8/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_int64_t | ,
|  | aligned_lowp_int64_t | ,
|  | 8 |
| ) |  |

Low qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [9/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_i8 | ,
|  | aligned_lowp_i8 | ,
|  | 1 |
| ) |  |

Low qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [10/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_i16 | ,
|  | aligned_lowp_i16 | ,
|  | 2 |
| ) |  |

Low qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [11/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_i32 | ,
|  | aligned_lowp_i32 | ,
|  | 4 |
| ) |  |

Low qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [12/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_i64 | ,
|  | aligned_lowp_i64 | ,
|  | 8 |
| ) |  |

Low qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [13/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int8 | ,
|  | aligned_mediump_int8 | ,
|  | 1 |
| ) |  |

Medium qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [14/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int16 | ,
|  | aligned_mediump_int16 | ,
|  | 2 |
| ) |  |

Medium qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [15/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int32 | ,
|  | aligned_mediump_int32 | ,
|  | 4 |
| ) |  |

Medium qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [16/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int64 | ,
|  | aligned_mediump_int64 | ,
|  | 8 |
| ) |  |

Medium qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [17/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int8_t | ,
|  | aligned_mediump_int8_t | ,
|  | 1 |
| ) |  |

Medium qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [18/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int16_t | ,
|  | aligned_mediump_int16_t | ,
|  | 2 |
| ) |  |

Medium qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [19/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int32_t | ,
|  | aligned_mediump_int32_t | ,
|  | 4 |
| ) |  |

Medium qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [20/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_int64_t | ,
|  | aligned_mediump_int64_t | ,
|  | 8 |
| ) |  |

Medium qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [21/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_i8 | ,
|  | aligned_mediump_i8 | ,
|  | 1 |
| ) |  |

Medium qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [22/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_i16 | ,
|  | aligned_mediump_i16 | ,
|  | 2 |
| ) |  |

Medium qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [23/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_i32 | ,
|  | aligned_mediump_i32 | ,
|  | 4 |
| ) |  |

Medium qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [24/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_i64 | ,
|  | aligned_mediump_i64 | ,
|  | 8 |
| ) |  |

Medium qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [25/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int8 | ,
|  | aligned_highp_int8 | ,
|  | 1 |
| ) |  |

High qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [26/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int16 | ,
|  | aligned_highp_int16 | ,
|  | 2 |
| ) |  |

High qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [27/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int32 | ,
|  | aligned_highp_int32 | ,
|  | 4 |
| ) |  |

High qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [28/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int64 | ,
|  | aligned_highp_int64 | ,
|  | 8 |
| ) |  |

High qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [29/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int8_t | ,
|  | aligned_highp_int8_t | ,
|  | 1 |
| ) |  |

High qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [30/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int16_t | ,
|  | aligned_highp_int16_t | ,
|  | 2 |
| ) |  |

High qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [31/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int32_t | ,
|  | aligned_highp_int32_t | ,
|  | 4 |
| ) |  |

High qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [32/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_int64_t | ,
|  | aligned_highp_int64_t | ,
|  | 8 |
| ) |  |

High qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [33/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_i8 | ,
|  | aligned_highp_i8 | ,
|  | 1 |
| ) |  |

High qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [34/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_i16 | ,
|  | aligned_highp_i16 | ,
|  | 2 |
| ) |  |

High qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [35/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_i32 | ,
|  | aligned_highp_i32 | ,
|  | 4 |
| ) |  |

High qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [36/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_i64 | ,
|  | aligned_highp_i64 | ,
|  | 8 |
| ) |  |

High qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [37/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int8 | ,
|  | aligned_int8 | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [38/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int16 | ,
|  | aligned_int16 | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [39/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int32 | ,
|  | aligned_int32 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [40/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int64 | ,
|  | aligned_int64 | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [41/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int8_t | ,
|  | aligned_int8_t | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [42/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int16_t | ,
|  | aligned_int16_t | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [43/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int32_t | ,
|  | aligned_int32_t | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [44/206]

glm::GLM_ALIGNED_TYPEDEF | ( | int64_t | ,
|  | aligned_int64_t | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [45/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i8 | ,
|  | aligned_i8 | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [46/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i16 | ,
|  | aligned_i16 | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [47/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i32 | ,
|  | aligned_i32 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [48/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i64 | ,
|  | aligned_i64 | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [49/206]

glm::GLM_ALIGNED_TYPEDEF | ( | ivec1 | ,
|  | aligned_ivec1 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [50/206]

glm::GLM_ALIGNED_TYPEDEF | ( | ivec2 | ,
|  | aligned_ivec2 | ,
|  | 8 |
| ) |  |

Default qualifier 32 bit signed integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [51/206]

glm::GLM_ALIGNED_TYPEDEF | ( | ivec3 | ,
|  | aligned_ivec3 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit signed integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [52/206]

glm::GLM_ALIGNED_TYPEDEF | ( | ivec4 | ,
|  | aligned_ivec4 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit signed integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [53/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i8vec1 | ,
|  | aligned_i8vec1 | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [54/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i8vec2 | ,
|  | aligned_i8vec2 | ,
|  | 2 |
| ) |  |

Default qualifier 8 bit signed integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [55/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i8vec3 | ,
|  | aligned_i8vec3 | ,
|  | 4 |
| ) |  |

Default qualifier 8 bit signed integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [56/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i8vec4 | ,
|  | aligned_i8vec4 | ,
|  | 4 |
| ) |  |

Default qualifier 8 bit signed integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [57/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i16vec1 | ,
|  | aligned_i16vec1 | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [58/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i16vec2 | ,
|  | aligned_i16vec2 | ,
|  | 4 |
| ) |  |

Default qualifier 16 bit signed integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [59/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i16vec3 | ,
|  | aligned_i16vec3 | ,
|  | 8 |
| ) |  |

Default qualifier 16 bit signed integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [60/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i16vec4 | ,
|  | aligned_i16vec4 | ,
|  | 8 |
| ) |  |

Default qualifier 16 bit signed integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [61/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i32vec1 | ,
|  | aligned_i32vec1 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [62/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i32vec2 | ,
|  | aligned_i32vec2 | ,
|  | 8 |
| ) |  |

Default qualifier 32 bit signed integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [63/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i32vec3 | ,
|  | aligned_i32vec3 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit signed integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [64/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i32vec4 | ,
|  | aligned_i32vec4 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit signed integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [65/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i64vec1 | ,
|  | aligned_i64vec1 | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit signed integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [66/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i64vec2 | ,
|  | aligned_i64vec2 | ,
|  | 16 |
| ) |  |

Default qualifier 64 bit signed integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [67/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i64vec3 | ,
|  | aligned_i64vec3 | ,
|  | 32 |
| ) |  |

Default qualifier 64 bit signed integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [68/206]

glm::GLM_ALIGNED_TYPEDEF | ( | i64vec4 | ,
|  | aligned_i64vec4 | ,
|  | 32 |
| ) |  |

Default qualifier 64 bit signed integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [69/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint8 | ,
|  | aligned_lowp_uint8 | ,
|  | 1 |
| ) |  |

Low qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [70/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint16 | ,
|  | aligned_lowp_uint16 | ,
|  | 2 |
| ) |  |

Low qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [71/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint32 | ,
|  | aligned_lowp_uint32 | ,
|  | 4 |
| ) |  |

Low qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [72/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint64 | ,
|  | aligned_lowp_uint64 | ,
|  | 8 |
| ) |  |

Low qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [73/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint8_t | ,
|  | aligned_lowp_uint8_t | ,
|  | 1 |
| ) |  |

Low qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [74/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint16_t | ,
|  | aligned_lowp_uint16_t | ,
|  | 2 |
| ) |  |

Low qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [75/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint32_t | ,
|  | aligned_lowp_uint32_t | ,
|  | 4 |
| ) |  |

Low qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [76/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_uint64_t | ,
|  | aligned_lowp_uint64_t | ,
|  | 8 |
| ) |  |

Low qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [77/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_u8 | ,
|  | aligned_lowp_u8 | ,
|  | 1 |
| ) |  |

Low qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [78/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_u16 | ,
|  | aligned_lowp_u16 | ,
|  | 2 |
| ) |  |

Low qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [79/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_u32 | ,
|  | aligned_lowp_u32 | ,
|  | 4 |
| ) |  |

Low qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [80/206]

glm::GLM_ALIGNED_TYPEDEF | ( | lowp_u64 | ,
|  | aligned_lowp_u64 | ,
|  | 8 |
| ) |  |

Low qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [81/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint8 | ,
|  | aligned_mediump_uint8 | ,
|  | 1 |
| ) |  |

Medium qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [82/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint16 | ,
|  | aligned_mediump_uint16 | ,
|  | 2 |
| ) |  |

Medium qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [83/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint32 | ,
|  | aligned_mediump_uint32 | ,
|  | 4 |
| ) |  |

Medium qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [84/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint64 | ,
|  | aligned_mediump_uint64 | ,
|  | 8 |
| ) |  |

Medium qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [85/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint8_t | ,
|  | aligned_mediump_uint8_t | ,
|  | 1 |
| ) |  |

Medium qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [86/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint16_t | ,
|  | aligned_mediump_uint16_t | ,
|  | 2 |
| ) |  |

Medium qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [87/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint32_t | ,
|  | aligned_mediump_uint32_t | ,
|  | 4 |
| ) |  |

Medium qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [88/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_uint64_t | ,
|  | aligned_mediump_uint64_t | ,
|  | 8 |
| ) |  |

Medium qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [89/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_u8 | ,
|  | aligned_mediump_u8 | ,
|  | 1 |
| ) |  |

Medium qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [90/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_u16 | ,
|  | aligned_mediump_u16 | ,
|  | 2 |
| ) |  |

Medium qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [91/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_u32 | ,
|  | aligned_mediump_u32 | ,
|  | 4 |
| ) |  |

Medium qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [92/206]

glm::GLM_ALIGNED_TYPEDEF | ( | mediump_u64 | ,
|  | aligned_mediump_u64 | ,
|  | 8 |
| ) |  |

Medium qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [93/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint8 | ,
|  | aligned_highp_uint8 | ,
|  | 1 |
| ) |  |

High qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [94/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint16 | ,
|  | aligned_highp_uint16 | ,
|  | 2 |
| ) |  |

High qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [95/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint32 | ,
|  | aligned_highp_uint32 | ,
|  | 4 |
| ) |  |

High qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [96/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint64 | ,
|  | aligned_highp_uint64 | ,
|  | 8 |
| ) |  |

High qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [97/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint8_t | ,
|  | aligned_highp_uint8_t | ,
|  | 1 |
| ) |  |

High qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [98/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint16_t | ,
|  | aligned_highp_uint16_t | ,
|  | 2 |
| ) |  |

High qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [99/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint32_t | ,
|  | aligned_highp_uint32_t | ,
|  | 4 |
| ) |  |

High qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [100/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_uint64_t | ,
|  | aligned_highp_uint64_t | ,
|  | 8 |
| ) |  |

High qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [101/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_u8 | ,
|  | aligned_highp_u8 | ,
|  | 1 |
| ) |  |

High qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [102/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_u16 | ,
|  | aligned_highp_u16 | ,
|  | 2 |
| ) |  |

High qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [103/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_u32 | ,
|  | aligned_highp_u32 | ,
|  | 4 |
| ) |  |

High qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [104/206]

glm::GLM_ALIGNED_TYPEDEF | ( | highp_u64 | ,
|  | aligned_highp_u64 | ,
|  | 8 |
| ) |  |

High qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [105/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint8 | ,
|  | aligned_uint8 | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [106/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint16 | ,
|  | aligned_uint16 | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [107/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint32 | ,
|  | aligned_uint32 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [108/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint64 | ,
|  | aligned_uint64 | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [109/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint8_t | ,
|  | aligned_uint8_t | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [110/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint16_t | ,
|  | aligned_uint16_t | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [111/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint32_t | ,
|  | aligned_uint32_t | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [112/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uint64_t | ,
|  | aligned_uint64_t | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [113/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u8 | ,
|  | aligned_u8 | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [114/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u16 | ,
|  | aligned_u16 | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [115/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u32 | ,
|  | aligned_u32 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [116/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u64 | ,
|  | aligned_u64 | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [117/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uvec1 | ,
|  | aligned_uvec1 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [118/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uvec2 | ,
|  | aligned_uvec2 | ,
|  | 8 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [119/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uvec3 | ,
|  | aligned_uvec3 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [120/206]

glm::GLM_ALIGNED_TYPEDEF | ( | uvec4 | ,
|  | aligned_uvec4 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [121/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u8vec1 | ,
|  | aligned_u8vec1 | ,
|  | 1 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [122/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u8vec2 | ,
|  | aligned_u8vec2 | ,
|  | 2 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [123/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u8vec3 | ,
|  | aligned_u8vec3 | ,
|  | 4 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [124/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u8vec4 | ,
|  | aligned_u8vec4 | ,
|  | 4 |
| ) |  |

Default qualifier 8 bit unsigned integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [125/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u16vec1 | ,
|  | aligned_u16vec1 | ,
|  | 2 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [126/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u16vec2 | ,
|  | aligned_u16vec2 | ,
|  | 4 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [127/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u16vec3 | ,
|  | aligned_u16vec3 | ,
|  | 8 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [128/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u16vec4 | ,
|  | aligned_u16vec4 | ,
|  | 8 |
| ) |  |

Default qualifier 16 bit unsigned integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [129/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u32vec1 | ,
|  | aligned_u32vec1 | ,
|  | 4 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [130/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u32vec2 | ,
|  | aligned_u32vec2 | ,
|  | 8 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [131/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u32vec3 | ,
|  | aligned_u32vec3 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [132/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u32vec4 | ,
|  | aligned_u32vec4 | ,
|  | 16 |
| ) |  |

Default qualifier 32 bit unsigned integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [133/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u64vec1 | ,
|  | aligned_u64vec1 | ,
|  | 8 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned scalar type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [134/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u64vec2 | ,
|  | aligned_u64vec2 | ,
|  | 16 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned vector of 2 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [135/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u64vec3 | ,
|  | aligned_u64vec3 | ,
|  | 32 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned vector of 3 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [136/206]

glm::GLM_ALIGNED_TYPEDEF | ( | u64vec4 | ,
|  | aligned_u64vec4 | ,
|  | 32 |
| ) |  |

Default qualifier 64 bit unsigned integer aligned vector of 4 components type.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [137/206]

glm::GLM_ALIGNED_TYPEDEF | ( | float32 | ,
|  | aligned_float32 | ,
|  | 4 |
| ) |  |

32 bit single-qualifier floating-point aligned scalar.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [138/206]

glm::GLM_ALIGNED_TYPEDEF | ( | float32_t | ,
|  | aligned_float32_t | ,
|  | 4 |
| ) |  |

32 bit single-qualifier floating-point aligned scalar.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [139/206]

glm::GLM_ALIGNED_TYPEDEF | ( | float32 | ,
|  | aligned_f32 | ,
|  | 4 |
| ) |  |

32 bit single-qualifier floating-point aligned scalar.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [140/206]

glm::GLM_ALIGNED_TYPEDEF | ( | float64 | ,
|  | aligned_float64 | ,
|  | 8 |
| ) |  |

64 bit double-qualifier floating-point aligned scalar.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [141/206]

glm::GLM_ALIGNED_TYPEDEF | ( | float64_t | ,
|  | aligned_float64_t | ,
|  | 8 |
| ) |  |

64 bit double-qualifier floating-point aligned scalar.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [142/206]

glm::GLM_ALIGNED_TYPEDEF | ( | float64 | ,
|  | aligned_f64 | ,
|  | 8 |
| ) |  |

64 bit double-qualifier floating-point aligned scalar.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [143/206]

glm::GLM_ALIGNED_TYPEDEF | ( | vec1 | ,
|  | aligned_vec1 | ,
|  | 4 |
| ) |  |

Single-qualifier floating-point aligned vector of 1 component.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [144/206]

glm::GLM_ALIGNED_TYPEDEF | ( | vec2 | ,
|  | aligned_vec2 | ,
|  | 8 |
| ) |  |

Single-qualifier floating-point aligned vector of 2 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [145/206]

glm::GLM_ALIGNED_TYPEDEF | ( | vec3 | ,
|  | aligned_vec3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned vector of 3 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [146/206]

glm::GLM_ALIGNED_TYPEDEF | ( | vec4 | ,
|  | aligned_vec4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned vector of 4 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [147/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fvec1 | ,
|  | aligned_fvec1 | ,
|  | 4 |
| ) |  |

Single-qualifier floating-point aligned vector of 1 component.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [148/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fvec2 | ,
|  | aligned_fvec2 | ,
|  | 8 |
| ) |  |

Single-qualifier floating-point aligned vector of 2 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [149/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fvec3 | ,
|  | aligned_fvec3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned vector of 3 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [150/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fvec4 | ,
|  | aligned_fvec4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned vector of 4 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [151/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32vec1 | ,
|  | aligned_f32vec1 | ,
|  | 4 |
| ) |  |

Single-qualifier floating-point aligned vector of 1 component.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [152/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32vec2 | ,
|  | aligned_f32vec2 | ,
|  | 8 |
| ) |  |

Single-qualifier floating-point aligned vector of 2 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [153/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32vec3 | ,
|  | aligned_f32vec3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned vector of 3 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [154/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32vec4 | ,
|  | aligned_f32vec4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned vector of 4 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [155/206]

glm::GLM_ALIGNED_TYPEDEF | ( | dvec1 | ,
|  | aligned_dvec1 | ,
|  | 8 |
| ) |  |

Double-qualifier floating-point aligned vector of 1 component.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [156/206]

glm::GLM_ALIGNED_TYPEDEF | ( | dvec2 | ,
|  | aligned_dvec2 | ,
|  | 16 |
| ) |  |

Double-qualifier floating-point aligned vector of 2 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [157/206]

glm::GLM_ALIGNED_TYPEDEF | ( | dvec3 | ,
|  | aligned_dvec3 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned vector of 3 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [158/206]

glm::GLM_ALIGNED_TYPEDEF | ( | dvec4 | ,
|  | aligned_dvec4 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned vector of 4 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [159/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64vec1 | ,
|  | aligned_f64vec1 | ,
|  | 8 |
| ) |  |

Double-qualifier floating-point aligned vector of 1 component.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [160/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64vec2 | ,
|  | aligned_f64vec2 | ,
|  | 16 |
| ) |  |

Double-qualifier floating-point aligned vector of 2 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [161/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64vec3 | ,
|  | aligned_f64vec3 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned vector of 3 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [162/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64vec4 | ,
|  | aligned_f64vec4 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned vector of 4 components.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [163/206]

GLM_ALIGNED_TYPEDEF | ( | mat2 | ,
|  | aligned_mat2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Single-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [164/206]

GLM_ALIGNED_TYPEDEF | ( | mat3 | ,
|  | aligned_mat3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [165/206]

GLM_ALIGNED_TYPEDEF | ( | mat4 | ,
|  | aligned_mat4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [166/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat2x2 | ,
|  | aligned_fmat2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Single-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [167/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat3x3 | ,
|  | aligned_fmat3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [168/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat4x4 | ,
|  | aligned_fmat4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [169/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat2x2 | ,
|  | aligned_fmat2x2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Single-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [170/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat2x3 | ,
|  | aligned_fmat2x3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 2x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [171/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat2x4 | ,
|  | aligned_fmat2x4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 2x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [172/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat3x2 | ,
|  | aligned_fmat3x2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x2 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [173/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat3x3 | ,
|  | aligned_fmat3x3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [174/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat3x4 | ,
|  | aligned_fmat3x4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [175/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat4x2 | ,
|  | aligned_fmat4x2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x2 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [176/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat4x3 | ,
|  | aligned_fmat4x3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [177/206]

glm::GLM_ALIGNED_TYPEDEF | ( | fmat4x4 | ,
|  | aligned_fmat4x4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [178/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat2x2 | ,
|  | aligned_f32mat2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Single-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [179/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat3x3 | ,
|  | aligned_f32mat3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [180/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat4x4 | ,
|  | aligned_f32mat4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [181/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat2x2 | ,
|  | aligned_f32mat2x2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Single-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [182/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat2x3 | ,
|  | aligned_f32mat2x3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 2x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [183/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat2x4 | ,
|  | aligned_f32mat2x4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 2x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [184/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat3x2 | ,
|  | aligned_f32mat3x2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x2 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [185/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat3x3 | ,
|  | aligned_f32mat3x3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [186/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat3x4 | ,
|  | aligned_f32mat3x4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 3x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [187/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat4x2 | ,
|  | aligned_f32mat4x2 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x2 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [188/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat4x3 | ,
|  | aligned_f32mat4x3 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [189/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32mat4x4 | ,
|  | aligned_f32mat4x4 | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [190/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat2x2 | ,
|  | aligned_f64mat2 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Double-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [191/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat3x3 | ,
|  | aligned_f64mat3 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [192/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat4x4 | ,
|  | aligned_f64mat4 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [193/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat2x2 | ,
|  | aligned_f64mat2x2 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 1x1 matrix.

See also
  GLM_GTX_type_aligned Double-qualifier floating-point aligned 2x2 matrix.
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [194/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat2x3 | ,
|  | aligned_f64mat2x3 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 2x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [195/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat2x4 | ,
|  | aligned_f64mat2x4 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 2x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [196/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat3x2 | ,
|  | aligned_f64mat3x2 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 3x2 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [197/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat3x3 | ,
|  | aligned_f64mat3x3 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 3x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [198/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat3x4 | ,
|  | aligned_f64mat3x4 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 3x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [199/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat4x2 | ,
|  | aligned_f64mat4x2 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 4x2 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [200/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat4x3 | ,
|  | aligned_f64mat4x3 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 4x3 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [201/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64mat4x4 | ,
|  | aligned_f64mat4x4 | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned 4x4 matrix.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [202/206]

glm::GLM_ALIGNED_TYPEDEF | ( | quat | ,
|  | aligned_quat | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned quaternion.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [203/206]

glm::GLM_ALIGNED_TYPEDEF | ( | quat | ,
|  | aligned_fquat | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned quaternion.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [204/206]

glm::GLM_ALIGNED_TYPEDEF | ( | dquat | ,
|  | aligned_dquat | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned quaternion.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [205/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f32quat | ,
|  | aligned_f32quat | ,
|  | 16 |
| ) |  |

Single-qualifier floating-point aligned quaternion.

See also
  GLM_GTX_type_aligned

## ◆ GLM_ALIGNED_TYPEDEF() [206/206]

glm::GLM_ALIGNED_TYPEDEF | ( | f64quat | ,
|  | aligned_f64quat | ,
|  | 32 |
| ) |  |

Double-qualifier floating-point aligned quaternion.

See also
  GLM_GTX_type_aligned